import req from '../http.js/http';

//获取列席人员列表
export  const getAttendInfoList = params =>req('get','/attendInfo/getAttendInfoList',params);

//添加列席人员
export  const addAttendInfo = params =>req('post','/attendInfo/addAttendInfo',params);

//修改列席人员信息
export  const updateAttendInfo = params =>req('post','/attendInfo/updateAttendInfo',params);

//通过ID删除列席人员信息
export  const removeAttendInfoById = params =>req('get','/attendInfo/removeAttendInfoById',params);

//添加特殊议程
export  const addSpecialAgenda = params =>req('post','/specialAgenda/addSpecialAgenda',params);

//获取特殊议程列表
export  const getSpecialAgendaList = params =>req('get','/specialAgenda/getSpecialAgendaList',params);

//修改特殊议程
export  const updateSpecialAgenda = params =>req('post','/specialAgenda/updateSpecialAgenda',params);

//通过ID获取特殊议程
export  const getSpecialAgendaById = params =>req('get','/specialAgenda/getSpecialAgendaById',params);

//通过ID删除特殊议程
export  const removeSpecialAgendaById = params =>req('get','/specialAgenda/removeSpecialAgendaById',params);

//新增意向
export  const addIntention = params =>req('post','/intention/addIntention',params);

//通过引用ID批量获取附件
export  const getByRefId = params =>req('get','/accessory/getByRefId',params);

//更新附件信息，排序,改名
export  const updateAccessoryList = params =>req('post','/accessory/updateAccessoryList',params);

//文件上传
export  const uploadFile = params =>req('post','/common/file/upload',params);

//更新意向
export  const updateIntention = params =>req('post','/intention/updateIntention',params);

//根据ID获取意向
export  const getIntentionById = params =>req('get','/intention/getIntentionById',params);

//会议分页列表
export  const getMeetingPage = params =>req('get','/meeting/getMeetingPage',params);

//添加会议
export  const addMeeting = params =>req('post','/meeting/addMeeting',params);

//编辑会议
export  const updateMeeting = params =>req('post','/meeting/updateMeeting',params);

//根据ID删除会议
export  const removeMeetingById = params =>req('get','/meeting/removeMeetingById',params);

//根据ID获取会议
export  const getMeetingById = params =>req('get','/meeting/getMeetingById',params);

//根据ID结束会议
export  const meetEnd = params =>req('get','/meeting/end',params);

//获取所有未上会的意向数据
export  const getIntentionOfUnUse = params =>req('get','/intention/getIntentionOfUnUse',params);

//会议中新增议程
export  const addAgendaByMeet = params =>req('post','/agenda/addAgenda',params);

//会议中修改议程
export  const updateAgendaByMeet = params =>req('post','/agenda/updateAgenda',params);

//会议中删除议程
export  const removeAgendaByIdByMeet = params =>req('post','/agenda/removeAgendaById',params);

//会议中通过ID获取议程
export  const getAgendaByIdByMeet = params =>req('get','/agenda/getAgendaById',params);

//意向列表分页
export  const getIntentionPage = params =>req('get','/intention/getIntentionPage',params);

//根据id删除意向
export  const removeIntentionById = params =>req('get','/intention/removeIntentionById',params);

//下载文件
export  const downloadFile = params =>req('get','/common/file/download',params);

//下载
export  const preDownloadFile = params =>req('get','/common/file/pre/download',params);







