import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/store';
import ElementUI from 'element-ui';
import "./style/style.scss"
import "./style/common.scss"
import 'element-ui/lib/theme-chalk/index.css';
import VueTouch from 'vue-touch'

Vue.use(VueTouch, {name: 'v-touch'})
Vue.config.productionTip = false;
Vue.use(ElementUI);
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
